safe_local_iterator.h File Reference

Go to the source code of this file.

## Classes

class | __gnu_debug::_Safe_local_iterator< _Iterator, _Sequence >

## Namespaces

| __gnu_debug

## Functions

template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | __gnu_debug::operator!= (const _Safe_local_iterator< _IteratorL, _Sequence > &__lhs, const _Safe_local_iterator< _IteratorR, _Sequence > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | __gnu_debug::operator!= (const _Safe_local_iterator< _Iterator, _Sequence > &__lhs, const _Safe_local_iterator< _Iterator, _Sequence > &__rhs)
template<typename _IteratorL , typename _IteratorR , typename _Sequence >
bool | __gnu_debug::operator== (const _Safe_local_iterator< _IteratorL, _Sequence > &__lhs, const _Safe_local_iterator< _IteratorR, _Sequence > &__rhs)
template<typename _Iterator , typename _Sequence >
bool | __gnu_debug::operator== (const _Safe_local_iterator< _Iterator, _Sequence > &__lhs, const _Safe_local_iterator< _Iterator, _Sequence > &__rhs)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file safe_local_iterator.h.